Subscribe

Failure Issues installing OPM: netapp-opm-7.1.0.2017.01.N170308.1701.x86_64.rpm on redhat 7.3

tried install process today on three different versions (all supported  ), of mysql

 

5.6.36

5.7.17

5.7.3

 

 

Under        

5.6.36

 

When this version of database was used, script stopped at the following piece of code:

 

       if [[ -z `echo "${pluginlist}" | grep -i auth_socket` ]]; then

            $mysqldaemon stop &>>${LOG}

            mysqld_safe --skip-grant-tables >>${LOG} 2>&1 &

            sleep 5

 

            if echo "$command" | eval mysql >>${LOG} 2>&1

            then

                log "Prepare for uds finished"

            else

                echo_log "FAILURE: Unable to prepare UDS. MySQL command failed."

                log "Failed command $command"

                log "logging memory status before exiting"

                free -m &>> ${LOG}

                exit 1

 

The reason was, that it wasn’t unable to start up mysql database. But after it failed, I was able to start it up manually, using the same code as in the script.

 

5.7.17

 

For this version of database, script worked almost flawlessly … Almost. Cause when it tried replacing original my.cnf with my.cnf file from the netapp rpm. It used two deprecated (in version 5.7.4, so .13 ‘little’ versions earlier) values, and mysql startup eventually failed, causing the rest of the script to fail.  And btw for this version, I spent almost whole day (previously), clearing all the other errors that script produced.

 

 

5.7.3

 

I tried this version, as a workaround for dealing with depreceted values (5.7.17 version), script reported an error in completely different place.

 

 

For three supported databases (which btw are almost the same), it reported different errors. 

Re: Failure Issues installing OPM: netapp-opm-7.1.0.2017.01.N170308.1701.x86_64.rpm on redhat 7.3

You may run into a known problem about installing OPM 7.1 on RHEL with MySQL 5.6.36. We added a note into IMT:

Attention:  The Performance Manager 7.1 installation fails when using MySQL Community Edition version 5.6.36 on Red Hat systems.  If you are installing MySQL manually on your Red Hat systems, make sure you use version 5.6.35.  Do not use version 5.6.36 at this time.  For workarounds and additional details, see BUG 1081575 (hyperlink: http://mysupport.netapp.com/NOW/cgi-bin/bol?Type=Detail&Display=1081575)

Re: Failure Issues installing OPM: netapp-opm-7.1.0.2017.01.N170308.1701.x86_64.rpm on redhat 7.3

Hi,

 

Will try that.

 

In the meantime could you please tell why we did face the following issue:

 

5.7.17

 

For this version of database, script worked almost flawlessly … Almost. Cause when it tried replacing original my.cnf with my.cnf file from the netapp rpm. It used two deprecated (in version 5.7.4, so .13 ‘little’ versions earlier) values, and mysql startup eventually failed, causing the rest of the script to fail.  And btw for this version, I spent almost whole day (previously), clearing all the other errors that script produced.

 

 

I believe netapp OCP documentation lists mysql community version 5.7. as supported version.

 

 

Thanks!

Bart

Re: Failure Issues installing OPM: netapp-opm-7.1.0.2017.01.N170308.1701.x86_64.rpm on redhat 7.3

Regarding 5.7.17, I'm not able to answer your question directly. But here is some relavent information:

1) We don't support 5.7.17 in OPM 7.1. We start to support MySQL 5.7 from UM 7.2 (OPM and UM are unified into one product in 7.2, BTW. The RC1 was released on 5/11). From this perspective, you probably should stop trying 5.7.17 with OPM 7.1. Smiley Happy

2) During the UM 7.2 development, we had a few times that DB couldn't start and we think we ran into a MySQL bug:  https://bugs.mysql.com/bug.php?id=84940 which forced us to downgrade to 5.7.16. Not sure if this is related to your issue, I'm just saying that 5.7.17 is not a good MySQL version. The bug was fixed in 5.7.18. Our testing with 5.7.18 is fine (again, with UM 7.2).

Re: Failure Issues installing OPM: netapp-opm-7.1.0.2017.01.N170308.1701.x86_64.rpm on redhat 7.3

Hi,

 

Ok that makes sense. Just hoped, when it didn't work on 5.6.36 it would on 5.7.

 

Will try installing on 5.6.35.

 

Thanks!

Bart